.btn {
  background-color: var(--figma-button-primary-background);
  padding: 0.5rem 1.5rem;
  color: var(--figma-button-primary-color);
  border: none;
  outline: none;
  cursor: pointer;
  border-radius: 0.25rem;
}

.btn:hover {
  background-color: var(--figma-button-primary-hover-background);
}

.btn:focus {
  outline: 2px solid var(--figma-button-primary-focus-outline);
  outline-offset: 2px;
}

.btn:active {
  box-shadow: inset 0 0 0px 2px var(--figma-button-primary-active-shadow);
}

.btn[outline] {
  background-color: var(--figma-button-outline-background);
  border: 1px solid var(--figma-button-outline-border-color);
}

.btn[outline]:hover {
  background-color: var(--figma-button-outline-hover-background);
}

.btn[disabled] {
  background-color: #ee347f;
}
